Genivia - saml1__AudienceRestrictionConditionType Struct Reference

|  | Home | Documentation | saml1__AudienceRestrictionConditionType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml1__AudienceRestrictionConditionType Struct Reference

"urn:oasis:names:tc:SAML:1.0:assertion":AudienceRestrictionConditionType is a complexType with complexContent extension of type "urn:oasis:names:tc:SAML:1.0:assertion":ConditionAbstractType. More...

`#include <saml1.h>`

## Public Attributes
int | __sizeAudience
| INHERITED FROM saml1__ConditionAbstractType: More...
char ** | saml1__Audience
| Array char* * of size 1..unbounded. More...

## Detailed Description

"urn:oasis:names:tc:SAML:1.0:assertion":AudienceRestrictionConditionType is a complexType with complexContent extension of type "urn:oasis:names:tc:SAML:1.0:assertion":ConditionAbstractType.

Note
  struct saml1__AudienceRestrictionConditionType operations:
  - saml1__AudienceRestrictionConditionType* soap_new_saml1__AudienceRestrictionConditionType(struct soap*, int num) allocate and default initialize one or more values (an array)
  - soap_default_saml1__AudienceRestrictionConditionType(struct soap*, saml1__AudienceRestrictionConditionType*) default initialize members
  - int soap_read_saml1__AudienceRestrictionConditionType(struct soap*, saml1__AudienceRestrictionConditionType*) deserialize from a source
  - int soap_write_saml1__AudienceRestrictionConditionType(struct soap*, saml1__AudienceRestrictionConditionType*) serialize to a sink
  - saml1__AudienceRestrictionConditionType* soap_dup_saml1__AudienceRestrictionConditionType(struct soap*, saml1__AudienceRestrictionConditionType* dst, saml1__AudienceRestrictionConditionType <em>src) returns deep copy of saml1__AudienceRestrictionConditionType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
  - soap_del_saml1__AudienceRestrictionConditionType(saml1__AudienceRestrictionConditionType) deep deletes saml1__AudienceRestrictionConditionType data members, use only on dst after soap_dup_saml1__AudienceRestrictionConditionType(NULL, saml1__AudienceRestrictionConditionType *dst, saml1__AudienceRestrictionConditionType *src) (use soapcpp2 -Ed)

## Member Data Documentation

int saml1__AudienceRestrictionConditionType::__sizeAudience

INHERITED FROM saml1__ConditionAbstractType:

Size of the dynamic array of values of type char* * is 1..unbounded.

char* * saml1__AudienceRestrictionConditionType::saml1__Audience

Array char* * of size 1..unbounded.

Multiple elements.

The documentation for this struct was generated from the following file:

- saml1.h